<?php

/**
 * Konfiguration 
 *
 * Bitte passen Sie die folgenden Werte an, bevor Sie das Script benutzen!
 * 
 * Das Skript bitte in UTF-8 abspeichern (ohne BOM).
 */
 
// An welche Adresse sollen die Mails gesendet werden?
$zieladresse = 'admin@fifafusion.de';

// Welche Adresse soll als Absender angegeben werden?
// (Manche Hoster lassen diese Angabe vor dem Versenden der Mail ueberschreiben)
$absenderadresse = 'support@fifafusion.de';

// Welcher Absendername soll verwendet werden?
$absendername = 'Aufstellung';

// Welchen Betreff sollen die Mails erhalten?
$betreff = 'Aufstellung';

// Zu welcher Seite soll als "Danke-Seite" weitergeleitet werden?
// Wichtig: Sie muessen hier eine gueltige HTTP-Adresse angeben!
$urlDankeSeite = 'http://www.fifafusion.de/back.php';

// Welche(s) Zeichen soll(en) zwischen dem Feldnamen und dem angegebenen Wert stehen?
$trenner = ":\t"; // Doppelpunkt + Tabulator

/**
 * Ende Konfiguration
 */

if ($_SERVER['REQUEST_METHOD'] === "POST") {

	$header = array();
	$header[] = "From: ".mb_encode_mimeheader($absendername, "utf-8", "Q")." <".$absenderadresse.">";
	$header[] = "MIME-Version: 1.0";
	$header[] = "Content-type: text/plain; charset=utf-8";
	$header[] = "Content-transfer-encoding: 8bit";
	
    $mailtext = "";

    foreach ($_POST as $name => $wert) {
        if (is_array($wert)) {
            if ($name == "position") {
                foreach ($_POST['position'] as $key => $wert) {
                    $mailtext .= $wert.$trenner.$_POST['Spielername'][$key]."\n";
                }
            }
        } else {
            $mailtext .= $name.$trenner.$wert."\n";
        }
    }
    
    mail(
    	$zieladresse, 
    	mb_encode_mimeheader($betreff, "utf-8", "Q"), 
    	$mailtext,
    	implode("\n", $header)
    ) or die("Die Mail konnte nicht versendet werden.");
    header("Location: $urlDankeSeite");
    exit;
}

header("Content-type: text/html; charset=utf-8");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de">
    <head>
        <title>Wunschaufstellung</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    </head>
    <body>
        <h1>Wunschaufstellung</h1>
        <form action="aufstellung.php" method="post">
            <!-- Hier die eigentlichen Formularfelder eintragen. Die folgenden sind Beispielangaben. -->
                Username:
                <input type="text" name="User" />    
				<br />
				<br />
				Formation:<select size=1 name="Formation">
				<option value="3-4-1-2">3-4-1-2</option>
				<option value="3-4-2-1">3-4-2-1</option>
				<option value="3-4-3(1)">3-4-3(1)</option>
				<option value="3-5-2">3-5-2</option>
				<option value="4-1-2-1-2(1)">4-1-2-1-2(1)</option>
				<option value="4-2-3-1(1)">4-2-3-1(1)</option>
				<option value="4-2-2-2">4-2-2-2</option>
				<option value="4-3-1-2">4-3-1-2</option>
				<option value="4-3-2-1">4-3-2-1</option>
				<option value="4-3-3(1)">4-3-3(1)</option>
				<option value="4-4-1-1(1)">4-4-1-1(1)</option>
				<option value="4-4-2(1)">4-4-2(1)</option>
				<option value="4-5-1">4-5-1</option>
				<option value="5-2-1-2">5-2-1-2</option>
				<option value="5-2-2-1">5-2-2-1</option>
				<option value="5-3-2">5-3-2</option>
				<option value="5-4-1(1)">5-4-1(1)</option>
				<option value="4-1-2-1-2(2)">4-1-2-1-2(2)</option>
				<option value="4-3-3(2)">4-3-3(2)</option>
				<option value="4-4-2(2)">4-4-2(2)</option>
				<option value="4-1-4-1">4-1-4-1</option>
				<option value="4-1-3-2">4-1-3-2</option>
				<option value="4-4-1-1(2)">4-4-1-1(2)</option>
				<option value="4-2-3-1(2)">4-2-3-1(2)</option>
				<option value="4-3-3(3)">4-3-3(3)</option>
				<option value="4-3-3(4)">4-3-3(4)</option>
				<option value="5-4-1(2)">5-4-1(2)</option>
				<option value="3-4-3(2)">3-4-3(2)</option>
				</select>
                <br /><br />
				<dt>Startaufstellung</dt>
<?php
$spieler_auf_dem_feld = 11;
for ($s = 0; $s < $spieler_auf_dem_feld; $s++)
   {
     echo '<select size=1 name="position[]">
        <option value="TW">TW</option>
        <option value="LV">LV</option>
        <option value="IV">IV</option>
		<option value="RV">RV</option>
		<option value="ZM">ZM</option>
		<option value="ZDM">ZDM</option>
		<option value="LM">LM</option>
		<option value="RM">RM</option>
		<option value="LOM">LOM</option>
		<option value="ZOM">ZOM</option>
		<option value="ROM">ROM</option>
		<option value="LF">LF</option>
		<option value="RF">RF</option>
		<option value="MS">MS</option>
		<option value="ST">ST</option>
        </select>
        <input type="text" name="Spielername[]" />
        <br />';
   }
?>
		<br />
		<dt>Auswechselspieler</dt>	
		
		<input type="text" name="Bank 1" />
		<br />
		
		<input type="text" name="Bank 2" />
		<br />
		
		<input type="text" name="Bank 3" />
		<br />

		<input type="text" name="Bank 4" />
		<br />
			
		<input type="text" name="Bank 5" />
		<br />
			
		<input type="text" name="Bank 6" />
		<br />
		
		<input type="text" name="Bank 7" />
		<br />
		<br />
		<dt>Kapitän:</dt>
        <input type="text" name="Kapitän" />    
		<dt>Elfmeter:</dt>
        <input type="text" name="Elfmeter" />  
		<dt>Freistoß:</dt>
        <input type="text" name="Freistoß" />   
		<dt>Freistoß (lang):</dt>
        <input type="text" name="Freistoß (lang)" />    
		<dt>Eckball links:</dt>
        <input type="text" name="Eckball links" />   
		<dt>Eckball rechts:</dt>
        <input type="text" name="Eckball rechts" />   		
			
            <!-- Ende der Beispielangaben -->
            <p>
            <input type="submit" value="Senden" />
            <input type="reset" value="Zurücksetzen" />
            </p>
        </form>
    </body>
</html>